--- old/usr/src/cmd/mdb/common/modules/genunix/sysevent.c	Sun Dec 14 23:31:18 2014
+++ new/usr/src/cmd/mdb/common/modules/genunix/sysevent.c	Sun Dec 14 23:31:18 2014
@@ -181,7 +181,7 @@
 int
 sysevent_subclass_list_walk_init(mdb_walk_state_t *wsp)
 {
-	if (wsp->walk_addr == NULL) {
+	if (wsp->walk_addr == (uintptr_t)NULL) {
 		mdb_warn("sysevent_subclass_list does not support global "
 		    "walks");
 		return (WALK_ERR);
@@ -196,7 +196,7 @@
 {
 	int status;
 
-	if (wsp->walk_addr == NULL)
+	if (wsp->walk_addr == (uintptr_t)NULL)
 		return (WALK_DONE);
 
 	if (mdb_vread(wsp->walk_data, sizeof (subclass_lst_t),
@@ -230,7 +230,7 @@
 {
 	class_walk_data_t *cl_walker;
 
-	if (wsp->walk_addr == NULL) {
+	if (wsp->walk_addr == (uintptr_t)NULL) {
 		mdb_warn("sysevent_class_list does not support global walks");
 		return (WALK_ERR);
 	}
@@ -259,7 +259,7 @@
 	cl_walker = (class_walk_data_t *)wsp->walk_data;
 
 	/* Skip over empty class table entries */
-	if (wsp->walk_addr != NULL) {
+	if (wsp->walk_addr != (uintptr_t)NULL) {
 		if (mdb_vread(&clist, sizeof (class_lst_t),
 		    wsp->walk_addr) == -1) {
 			mdb_warn("failed to read class list at %p",
